> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Data Report

> Retrieves a download URL for the requested report

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| DataNotAvailable | 1604 |
| InvalidParams | 1000 |
| InvalidReportDate | 1111 |
| InvalidReportName | 1605 |
| ProductDisabledForTitle | 1609 |
| ReportDataNotRetrievedSuccessfully | 1597 |
| ReportNotProcessed | 1603 |




## OpenAPI

````yaml /services/playfab/api-references/rest/admin/admin.openapi.json post /Admin/GetDataReport
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Admin API
  description: >-
    APIs for managing title configurations, uploaded Game Server code
    executables, and user data
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Authentication
    description: Authentication APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Custom Server Management
    description: Custom Server Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: ScheduledTask
    description: Task management APIs
  - name: Segments
    description: Segment management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Xbox Store
    description: Xbox Store APIs
paths:
  /Admin/GetDataReport:
    post:
      tags:
        - Player Data Management
      summary: Get Data Report
      description: |
        Retrieves a download URL for the requested report

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | DataNotAvailable | 1604 |
        | InvalidParams | 1000 |
        | InvalidReportDate | 1111 |
        | InvalidReportName | 1605 |
        | ProductDisabledForTitle | 1609 |
        | ReportDataNotRetrievedSuccessfully | 1597 |
        | ReportNotProcessed | 1603 |
      operationId: GetDataReport
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetDataReportRequest'
        description: >-
          Gets the download URL for the requested report data (in CSV form). The
          reports available through this API call are those available in the
          Game Manager, in the Analytics->Reports tab.
      responses:
        '200':
          $ref: '#/components/responses/GetDataReportResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    GetDataReportRequest:
      description: >-
        Gets the download URL for the requested report data (in CSV form). The
        reports available through this API call are those available in the Game
        Manager, in the Analytics->Reports tab.
      type: object
      properties:
        Day:
          description: Reporting year (UTC)
          type: number
          x-actualtype: int32
        Month:
          description: Reporting month (UTC)
          type: number
          x-actualtype: int32
        ReportName:
          description: Report name
          type: string
        Year:
          description: Reporting year (UTC)
          type: number
          x-actualtype: int32
      required:
        - ReportName
        - Year
        - Month
        - Day
      example:
        ReportName: PurchaseDataReport
        Year: 2014
        Month: 12
        Day: 5
    GetDataReportResult:
      type: object
      properties:
        DownloadUrl:
          description: >-
            The URL where the requested report can be downloaded. This can be
            any PlayFab generated reports. The full list of reports can be found
            at:
            https://learn.microsoft.com/en-us/gaming/playfab/features/analytics/reports/quickstart.
          type: string
      example:
        DownloadUrl: >-
          https://data-reports-dev.s3-us-west-1.amazonaws.com/2730/PurchaseDataReport/2014/12/5/data.json
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    GetDataReportResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetDataReportResult'
            example:
              code: 200
              status: OK
              data:
                DownloadUrl: >-
                  https://data-reports-dev.s3-us-west-1.amazonaws.com/2730/PurchaseDataReport/2014/12/5/data.json
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Get Data Report](/services/playfab/api-references/rest/admin/player-data-management/get-data-report.md)
- [IGameInputRawDeviceReport::GetRawData](/reference/input/gameinput/interfaces/igameinputrawdevicereport/methods/igameinputrawdevicereport_getrawdata.md)
- [IGameInputRawDeviceReport::GetRawDataSize](/reference/input/gameinput/interfaces/igameinputrawdevicereport/methods/igameinputrawdevicereport_getrawdatasize.md)
- [IGameInputReading::GetRawReport](/reference/input/gameinput/interfaces/igameinputreading/methods/igameinputreading_getrawreport.md)
- [IGameInputRawDeviceReport::SetRawData](/reference/input/gameinput/interfaces/igameinputrawdevicereport/methods/igameinputrawdevicereport_setrawdata.md)
